aboutsummaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorOmar Polo <op@omarpolo.com>2024-05-29 08:56:10 +0000
committerOmar Polo <op@omarpolo.com>2024-05-29 08:56:10 +0000
commit5b549c28056e19b42f0a82c071cacf79fec6628d (patch)
tree44830abdc262b26adf1fe593230e62b4c5648b00 /regress
parentb00f71ba97cf4448446fc5ccf715ca0dfda3a93b (diff)
regress: rename ipv4 test and add another with ipv6
Diffstat (limited to 'regress')
-rwxr-xr-xregress/regress3
-rw-r--r--regress/tests.sh13
2 files changed, 14 insertions, 2 deletions
diff --git a/regress/regress b/regress/regress
index 04f8393..2f0d58e 100755
--- a/regress/regress
+++ b/regress/regress
@@ -62,7 +62,8 @@ run_test test_proxy_with_certs
# run_test test_unknown_host # XXX: breaks on some distro
run_test test_include_mime
run_test test_log_file
-run_test test_ip_addr
+run_test test_ip4_addr
+run_test test_ip6_addr need_ipv6
# TODO: add test that uses only a TLSv1.2 or TLSv1.3
# TODO: add a test that attempt to serve a non-regular file
diff --git a/regress/tests.sh b/regress/tests.sh
index f06fdf2..b6a69ce 100644
--- a/regress/tests.sh
+++ b/regress/tests.sh
@@ -431,7 +431,7 @@ log style legacy'
return 0
}
-test_ip_addr() {
+test_ipv4_addr() {
server_name="*"
host="127.0.0.1"
gghost=127.0.0.1
@@ -441,3 +441,14 @@ test_ip_addr() {
fetch /
check_reply "20 text/gemini" "# hello world" || return 1
}
+
+test_ipv6_addr() {
+ server_name="*"
+ host="::1"
+ gghost="[::1]"
+ ggflags=-N
+ setup_simple_test
+
+ fetch /
+ check_reply "20 text/gemini" "# hello world" || return 1
+}